=== macros/CMakeLists.txt ===

SET_DIST_LIST(macros_DIST ax_pkg_swig.m4 ax_python_devel.m4 ax_swig_python.m4 binreloc.m4
                           compiler-flags.m4 CMakeLists.txt legacy_macros.m4 pkg.m4)
