=== packaging/CMakeLists.txt ===

GNC_CONFIGURE(gnucash.spec.in gnucash.spec)

SET_DIST_LIST(packaging_DIST CMakeLists.txt gnucash.spec.in Makefile.am)
