=== test-templates/CMakeLists.txt ===

SET_DIST_LIST(test_templates_DIST CMakeLists.txt Makefile.am Makefile.decl)
