=== util/CMakeLists.txt ===

SET_DIST_LIST(util_DIST gnc-vcs-info guile.c CMakeLists.txt)
