=== debian/watch ===
version=4

## https://qa.debian.org/watch/sf.php/gnucash/

opts="\
uversionmangle=s{\-\d}{}\
"  http://sf.net/gnucash/gnucash-(\d+\.\d+\.\d+)(?:-\d)?\.tar\.bz2
